
QGIS Application - Feature request #3865

Ability to lock map scale in print composer

2011-06-02 09:06 AM - marisn -

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13923

Description

When resizing map view in print composer, it automaticaly changes map scale. It would be nice, if it would be possible to lock scale and

then it would not change when resizing map view. I.e. to create a printout 1:10 000 no mater how large is map extent.

Related issues:

Related to QGIS Application - Feature request # 10036: lock scale and extents... Feedback 2014-04-09

Duplicated by QGIS Application - Feature request # 12698: Add "crop" function... Closed 2015-05-05

History

#1 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2015-02-14 09:13 PM - Gavin Fleming

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

related to #10036

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-12-17 03:07 AM - Oliver Story

Desired behaviour:

    -  when holding down a key on the keyboard (perhaps 'Ctrl'?), dragging one of the map resize handles would keep the scale constant and recalculate

extents so that the underlying map data remains in the same position on the composer. Visually, it would appear like you are adjusting the size and position

of a 'window' onto a fixed map.

    -  if no key is held down, dragging one of the map resize handles would adjust scale and extent while keeping the selected reference point under 'Position

and size' at fixed coordinates.
#8 - 2018-04-18 12:28 PM - Harrissou Santanna

- Duplicated by Feature request #12698: Add "crop" function to Printing layout added
